/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/core/time/timer.hpp

*/

#ifndef SGX_CORE_TIME_TIMER_HPP
#define SGX_CORE_TIME_TIMER_HPP	1

#include "sgx/core/types/types.hpp"

class CHighTimer {
public:
    static  CHighTimer     *get();

    virtual                ~CHighTimer() {}

    virtual void            start()      {}
    virtual tREAL32         getTime()    { return 0; }

protected:
    static  CHighTimer     *ms_pSingleton;

};

#endif /* SGX_CORE_TIME_TIMER_HPP */
